<template>
  <div>
    <q-list separator>
      <q-item
        v-for="forecast in forecastsByDay"
        :key="forecast.date"
        class="weatherDetailsItem"
      >
        <WeatherDetailsDay
          :day="forecast.day"
          :icon="forecast.icon"
          :temperature-max="forecast.temperature_max"
          :temperature-min="forecast.temperature_min"
          :precipitation-probability="forecast.precipitation_probability"
          :precipitation-intensity="forecast.precipitation_intensity"
          :wind-speed="forecast.wind_speed"
          :wind-bearing="forecast.wind_bearing"
          :wind-gust="null"
        />
      </q-item>
    </q-list>
  </div>
</template>

<script>
import WeatherDetailsDay from 'src/pages/home/feed/weather/WeatherDetailsDay'

export default {
  name: 'WeatherDetails',
  components: {
    WeatherDetailsDay
  },
  props: {
    forecastsByDay: {
      type: Array,
      required: true
    }
  }
}
</script>

<style scoped>
.weatherDetailsItem {
  height: 48px; /* prevent a bug on iOS */
}
</style>
